Subject: Re: Netatalk doing AppleShare over TCP/IP by default?

From: Peter Gutowski <[email-masked]>
Date: 07 Jul 2000 06:18:01 -0400

On Friday, July 7, 2000, Joe Rhodes <[email-masked]> wrote:
>
>Jul  5 22:42:12 decameron afpd[13221]: session from 41203.141:245 on 
>65280.227:129

This is probably not related, but I'll be willing to bet your connecting from a new Blue G3 or a G4. Most that I've encountered ship with an appletalk network number set simlarly to yours "41203". For generic (i.e. "unseeded") networks, the netork should be in the range 65280...65530 (I'm actually not certain about the high limit... it's something like that). With the 41203 number, my Mac would not show certain devices in the chooser. That may be unrelated though.

>
>And this when I log in via "server IP" button:
>
>Jul  6 16:42:41 decameron afpd[13206]: warning: /etc/hosts.allow, line 6: 
>can't verify hostname: gethostbyname(nap.goliath.com) failed
>Jul  6 16:42:41 decameron afpd[13756]: ASIP session:548(2) from 
>156.46.248.162:56354(0)
>
>
>Any suggestions?

I had this same problem and resolved it by only listing only one interface in the atalkd.conf file. In my case the machine sits on the firewall between the internet and my internal lan. (I don't need it to do AppleTalk routing between the interfaces) More experienced netatalk-admins might be able to explain this more knowledgeably. The atalkd.conf looks like this. 

eth2 -router -phase 2 -net 2000 -addr 2000.1 -zone "packer-eth2"

the -router option *might not* be necessary though. My Mac pickups up the appletalk "2000" net number.

ifconfig for eth2:
$ ifconfig eth2
eth2      Link encap:Ethernet  HWaddr 00:60:08:A9:4F:B0  
          inet addr:192.168.3.2  Bcast:192.168.3.31  Mask:255.255.255.224
          EtherTalk Phase 2 addr:2000/1
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1129155 errors:47 dropped:0 overruns:41 frame:47
          TX packets:1606964 errors:0 dropped:0 overruns:0 carrier:0
          collisions:395 

The machine shows up in the chooser and defaults to a ASIP without fail. My wife at the University of Mass can hit the Server IP Address... button and log into her share over the internet, so not listing an interface in atalkd.conf seems not to have an effect on whether netatalk will respond to requests on that interface.

-- 
Peter Gutowski / [email-masked]

"Millions long for immortality who don't know what to do on a rainy day." -- Susan Ertz (c. 1894-1095), American Writer